
public class Code {
	private int n; // taile de l'alphabet
	private char alphabet[]; // tableau de symboles de l'alphabet
	private String motsCode[];//tableau de suites binaires, mots du code
	
	
	public Code(int k, char alph[], String mots[]){  //constructeur
	
		this.n=k;
		this.alphabet=alph;
		this.motsCode=mots;
	}

	
	public String coderSymbole(char caract) {
	/* cette mthode recherche un caractre donn , caract, dans 
	 * l'alphabet  et renvoie son mot code ou null si le 
	 * caractre n'est pas dans l'alphabet 
	 */
	
	   int i=0;
		while(alphabet[i]!=caract && i<n)
		{
			i++;
		}
		 if(i<n)
			{return motsCode[i];
			}
		 else return null;
		
	}
	
	public String decoderMot(String mot){
	/* cette mthode recherche un mot binaire donn, mot, dans le 
	 * tableau des mots de  code, caract,   et renvoie 
	 * le symbole de l'alphabet correspondant ou null si le mot
	 * n'est pas trouv
	 */
	
		int i=0;
		while( i<n && !motsCode[i].equals(mot))
		{
			
			i++;
		}
		 if(i<n)
			{
			 return String.valueOf(alphabet[i]);
			}
		 else return null;
		
	}
	
	/*********************************************************************************************/

                              /*    Ajoutez ici vos mthodes    */
                              
   /**********************************************************************************************/                           

}


